.time_boundaries_picker {
  /* background-color: white; */
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* margin-top: 10px; */
  position: relative;
  z-index: 0;
  font-size: 16px;
  color: rgb(96, 94, 128);
}

.time_boundaries_picker__line {
  display: inline-block;
  position: absolute;
  right: -2.5px;
  top: 10px;
  /* z-index: -1; */
  width: 0px;
  border: solid #C4C4C4 2px;
  box-sizing: border-box;
  height: calc(100% - 20px);
}

.time_boundaries_picker__button {
  position: absolute;
  right: -30px;
  top: 50%;
  transform: translate(0, -50%);
  width: 20px;
  height: 20px;
  border: none;
  border-radius: 50%;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  padding-bottom: 5px;
}

.time_boundaries_picker__button:hover {
  background-color: #bbb8f3;
  /* background-color: rgb(201, 198, 250); */
}

.time_boundaries_picker__button:hover + .time_boundaries_picker__line{
  border-color: #9490d4;
}

.time_boundaries_picker__begin {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  /* transform: translate(0, -40%); */
  height: 16px;
}

.time_boundaries_picker__dragger {
  height: 16px;
  width: 16px;
  border-radius: 50%;
  display: inline-block;
  background-color: #B08383;
  position: relative;
  z-index: 1000;
  cursor: pointer;
  /* transform: translate(50%, 0); */
}

.time_boundaries_picker__begin_time {
  /* transform: translate(0, -37%); */
  height: 16px;
  line-height: 16px;
  box-sizing: border-box;
}

.time_boundaries_picker__begin_dragger {
  /* transform: translate(60%, -50%); */
  transform: translate(55%, 1px);
  z-index: 10;
  position: relative;
}

.time_boundaries_picker__end {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 16px;
  /* transform: translate(0, 40%); */
}

.time_boundaries_picker__end_time {
  /* transform: translate(0, 28%); */
  height: 16px;
  line-height: 16px;
  box-sizing: border-box;
}

.time_boundaries_picker__end_dragger {
  /* transform: translate(60%, 50%); */
  transform: translate(55%, 3px);
}
